# Package com.google.gwt.resources.converter

Class Summary
AlternateAnnotationCreatorVisitor: Visitor that adds @alternate annotations where required in CSSRules.
Css2Gss: Converter from Css to Gss.
Css2Gss.Options
CssElIf: Represents a else if node in the css ast.
CssElse: Represents a else node in the css ast.
DefCollectorVisitor: GSS requires that constants are defined in upper case.
ElseNodeCreator: The original Css parser doesn't create specific nodes for `@elif` and `@else` at-rules.
ExtendedCssVisitor: This visitor allows to visit new nodes created specifically for the conversion.
GssGenerationVisitor: The GssGenerationVisitor turns a css tree into a gss string.
SimpleValue: A simple property value class.
UndefinedConstantVisitor: Converts upper case strings used in properties to lowercase if they are not defined with a proper @def statement.

Exception Summary
Css2GssConversionException: Css2GssConversionException signals a problem with the conversion from CSS to GSS.